CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
nlohmann::detail::iteration_proxy< IteratorType > Class Template Reference

proxy class for the items() function More...

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iteration_proxy< IteratorType >:

## Public Member Functions
| iteration_proxy (typename IteratorType::reference cont) noexcept
| construct iteration proxy from a container More...
iteration_proxy_value< IteratorType > | begin () noexcept
| return iterator begin (needed for range-based for) More...
iteration_proxy_value< IteratorType > | end () noexcept
| return iterator end (needed for range-based for) More...

## Private Attributes
IteratorType::reference | container
| the container to iterate More...

## Detailed Description

### template<typename IteratorType>
class nlohmann::detail::iteration_proxy< IteratorType >

proxy class for the items() function

Definition at line 4396 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ iteration_proxy()

template<typename IteratorType>

nlohmann::detail::iteration_proxy< IteratorType >::iteration_proxy | ( | typename IteratorType::reference | cont | ) |
| inlineexplicitnoexcept

construct iteration proxy from a container

Definition at line 4404 of file json.hpp.

## Member Function Documentation

## ◆ begin()

template<typename IteratorType>

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::begin | ( |  | ) |
| inlinenoexcept

return iterator begin (needed for range-based for)

Definition at line 4408 of file json.hpp.

## ◆ end()

template<typename IteratorType>

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::end | ( |  | ) |
| inlinenoexcept

return iterator end (needed for range-based for)

Definition at line 4414 of file json.hpp.

## Member Data Documentation

## ◆ container

template<typename IteratorType>

IteratorType::reference nlohmann::detail::iteration_proxy< IteratorType >::container
| private

the container to iterate

Definition at line 4400 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp